additionalProperties:
  formFields:
    - default: mysql
      envKey: PANEL_DB_TYPE
      labelEn: Database Service
      labelZh: 数据库服务
      label:
        en: Database Service
        ja: データベースサービス
        ms: Perkhidmatan Pangkalan Data
        pt-br: Serviço de Banco de Dados
        ru: Сервис баз данных
        ko: 데이터베이스 서비스
        zh-hant: 資料庫服務
        zh: 数据库服务
      required: true
      type: apps
      child:
        default: ""
        envKey: PANEL_DB_HOST
        required: true
        type: service
      values:
        - label: MySQL
          value: mysql
        - label: PostgreSQL
          value: postgresql
    - default: de
      envKey: PANEL_DB_NAME
      labelEn: Database
      labelZh: 数据库
      label:
        en: Database
        ja: データベース
        ms: Pangkalan Data
        pt-br: Banco de Dados
        ru: База данных
        ko: 데이터베이스
        zh-hant: 資料庫
        zh: 数据库
      random: true
      required: true
      rule: paramCommon
      type: text
    - default: de
      envKey: PANEL_DB_USER
      labelEn: Database User
      labelZh: 数据库用户
      label:
        en: Database User
        ja: データベースユーザー
        ms: Pengguna Pangkalan Data
        pt-br: Usuário do Banco de Dados
        ru: Пользователь базы данных
        ko: 데이터베이스 사용자
        zh-hant: 資料庫用戶
        zh: 数据库用户
      random: true
      required: true
      rule: paramCommon
      type: text
    - default: de
      envKey: PANEL_DB_USER_PASSWORD
      labelEn: Database Password
      labelZh: 数据库密码
      label:
        en: Database Password
        ja: データベースのパスワード
        ms: Kata Laluan Pangkalan Data
        pt-br: Senha do Banco de Dados
        ru: Пароль базы данных
        ko: 데이터베이스 비밀번호
        zh-hant: 資料庫密碼
        zh: 数据库密码
      random: true
      required: true
      type: password
    - default: imap.sina.com
      edit: true
      envKey: IMAP_SERVER
      labelEn: IMAP Server
      labelZh: IMAP 服务器
      label:
        en: IMAP Server
        ja: IMAP サーバー
        ms: Pelayan IMAP
        pt-br: Servidor IMAP
        ru: IMAP сервер
        ko: IMAP 서버
        zh-hant: IMAP 伺服器
        zh: IMAP 服务器
      required: true
      type: text
    - default: 143
      edit: true
      envKey: IMAP_SERVER_PORT
      labelEn: IMAP Port
      labelZh: IMAP 端口
      label:
        en: IMAP Port
        ja: IMAP ポート
        ms: Port IMAP
        pt-br: Porta IMAP
        ru: Порт IMAP
        ko: IMAP 포트
        zh-hant: IMAP 埠
        zh: IMAP 端口
      required: true
      rule: paramPort
      type: number
    - default: smtp.sina.com
      edit: true
      envKey: SMTP_SERVER
      labelEn: SMTP Server
      labelZh: SMTP 服务器
      label:
        en: SMTP Server
        ja: SMTP サーバー
        ms: Pelayan SMTP
        pt-br: Servidor SMTP
        ru: SMTP сервер
        ko: SMTP 서버
        zh-hant: SMTP 伺服器
        zh: SMTP 服务器
      required: true
      type: text
    - default: 587
      edit: true
      envKey: SMTP_SERVER_PORT
      labelEn: SMTP Port
      labelZh: SMTP 端口
      label:
        en: SMTP Port
        ja: SMTP ポート
        ms: Port SMTP
        pt-br: Porta SMTP
        ru: Порт SMTP
        ko: SMTP 포트
        zh-hant: SMTP 埠
        zh: SMTP 端口
      required: true
      rule: paramPort
      type: number
    - default: 8080
      envKey: PANEL_APP_PORT_HTTP
      edit: true
      labelEn: Port
      labelZh: 端口
      label:
        en: Port
        ja: ポート
        ms: Port
        pt-br: Porta
        ru: Порт
        ko: 포트
        zh-Hant: 埠
        zh: 端口
      required: true
      rule: paramPort
      type: number
    - default: "5M"
      edit: true
      envKey: UPLOAD_MAX_FILESIZE
      labelEn: File Upload Size Limit
      labelZh: 文件上传大小限制
      label:
        en: File Upload Size Limit
        ja: ファイルアップロードサイズ制限
        ms: Had Saiz Muat Naik Fail
        pt-br: Limite de Tamanho de Upload de Arquivo
        ru: Лимит размера загружаемого файла
        ko: 파일 업로드 크기 제한
        zh-hant: 文件上傳大小限制
        zh: 文件上传大小限制
      required: true
      type: text
